Bug 142690 - kmid plays midi file but there is NO sound from device
kmid plays midi file but there is NO sound from device
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-12 15:59 EST by Joe Acosta
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-06 00:35:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Acosta 2004-12-12 15:59:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041001
Firefox/0.10.1

Description of problem:
I have a SB LIve sound card.  kmid recgonizes the midi devices, and
will even play midi files. However there is no sound whatsoever.

From /proc/pci 
  Bus  0, device  15, function  0:
    Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 8).
      IRQ 10.
      Master Capable.  Latency=32.  Min Gnt=2.Max Lat=20.
      I/O at 0xe800 [0xe81f].
  Bus  0, device  15, function  1:
    Input device controller: Creative Labs SB Live! MIDI/Game Port
(rev 8).
      Master Capable.  Latency=32.
      I/O at 0xec00 [0xec07].

From /proc/asound:
-> cards 
0 [Live           ]: EMU10K1 - Sound Blaster Live!
                     Sound Blaster Live! (rev.8) at 0xe800, irq 10

-> sndstat
 Kernel: Linux Lserver.org 2.6.9-1.6_FC2custom #4 Wed Dec 8 19:17:23
PST 2004 i68 6
Config options: 0
 
Installed drivers:
Type 10: ALSA emulation
 
Card config:
Sound Blaster Live! (rev.8) at 0xe800, irq 10
 
Audio devices: NOT ENABLED IN CONFIG
 
Synth devices:
0: Emu10k1
 
Midi devices:
0: EMU10K1 MPU-401 (UART)
 
Timers:
7: system timer
 
Mixers:
0: Cirrus Logic CS4297A rev 4






Version-Release number of selected component (if applicable):
kdemultimedia-3.2.2-2

How reproducible:
Always

Steps to Reproduce:
1. start kmid
2. play midi file
3. watch it play, but hear nothing
    

Actual Results:  plays file, but no sound

Expected Results:  expect to hear midi file

Additional info:

/proc/modules
snd_seq_midi 3872 0 - Live 0xe0a4c000
snd_emu10k1_synth 4992 0 - Live 0xe0a41000
snd_emux_synth 28160 1 snd_emu10k1_synth, Live 0xe0a58000
snd_seq_virmidi 3456 1 snd_emux_synth, Live 0xe0955000
snd_seq_midi_emul 4864 1 snd_emux_synth, Live 0xe0a3e000
snd_seq_oss 24320 0 - Live 0xe0a45000
snd_seq_midi_event 3712 3 snd_seq_midi,snd_seq_virmidi,snd_seq_oss,
Live 0xe095f000
snd_seq 38672 8
snd_seq_midi,snd_emux_synth,snd_seq_virmidi,snd_seq_midi_emul,snd_seq_oss,snd_seq_midi_event,
Live 0xe09a1000
snd_mixer_oss 13952 4 - Live 0xe0a35000
snd_emu10k1 76680 7 snd_emu10k1_synth, Live 0xe09ac000
snd_rawmidi 14244 3 snd_seq_midi,snd_seq_virmidi,snd_emu10k1, Live
0xe097c000
snd_pcm 63112 1 snd_emu10k1, Live 0xe096b000
snd_timer 15748 2 snd_seq,snd_pcm, Live 0xe095a000
snd_seq_device 4104 7
snd_seq_midi,snd_emu10k1_synth,snd_emux_synth,snd_seq_oss,snd_seq,snd_emu10k1,snd_rawmidi,
Live 0xe0957000
snd_ac97_codec 54608 1 snd_emu10k1, Live 0xe0981000
snd_page_alloc 4488 2 snd_emu10k1,snd_pcm, Live 0xe092e000
snd_util_mem 1536 2 snd_emux_synth,snd_emu10k1, Live 0xe0951000
snd_hwdep 4868 2 snd_emux_synth,snd_emu10k1, Live 0xe08e5000
snd 33764 18
snd_emux_synth,snd_seq_virmidi,snd_seq_oss,snd_seq,snd_mixer_oss,snd_emu10k1,snd_rawmidi,snd_pcm,snd_timer,snd_seq_device,snd_ac97_codec,snd_hwdep,
Live 0xe0961000
via686a 11680 0 - Live 0xe094d000
i2c_sensor 2304 1 via686a, Live 0xe092c000
i2c_isa 1152 0 - Live 0xe092a000
pl2303 12804 0 - Live 0xe0931000
usbserial 18664 1 pl2303, Live 0xe0940000
tulip 36384 0 - Live 0xe0936000
crc32 3200 1 tulip, Live 0xe08f2000
af_packet 12424 0 - Live 0xe0915000
ipt_REJECT 4096 2 - Live 0xe08f4000
ipt_LOG 4992 7 - Live 0xe0925000
ipt_limit 1024 7 - Live 0xe0913000
ipt_state 768 11 - Live 0xe0911000
ip_conntrack 38652 1 ipt_state, Live 0xe091a000
iptable_filter 1024 1 - Live 0xe08e8000
ip_tables 15872 5
ipt_REJECT,ipt_LOG,ipt_limit,ipt_state,iptable_filter, Live 0xe08ed000
ohci1394 26008 0 - Live 0xe0869000
ieee1394 66996 1 ohci1394, Live 0xe08f6000
usbhid 25920 1 - Live 0xe0861000
pwc 71152 0 - Live 0xe0878000
videodev 4736 1 pwc, Live 0xe082d000
uhci_hcd 23704 0 - Live 0xe0837000
usbcore 78436 8 pl2303,usbserial,usbhid,pwc,uhci_hcd, Live 0xe084c000
genrtc 6388 0 - Live 0xe082a000
Comment 1 Matthew Miller 2005-04-26 11:30:13 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Joe Acosta 2005-09-06 00:35:15 EDT
I'm going to suggest that this be closed.  It seems that you must go into the
midi setup and select the 

Emu10k WaveTable Emu10k1 Port0 - ALSA device 

to get this to work. I suppose Port1, Port2, and Port3 will also work.

Note You need to log in before you can comment on or make changes to this bug.